Bug 209869 - www/mod_rpaf2: [PATCH] update to v0.8.4
Summary: www/mod_rpaf2: [PATCH] update to v0.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-apache (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-05-30 19:29 UTC by geoffroy desvernay
Modified: 2017-11-05 12:07 UTC (History)
1 user (show)

See Also:


Attachments
svn diff www/mod_rpaf2 (4.56 KB, patch)
2016-05-30 19:29 UTC, geoffroy desvernay
no flags Details | Diff
svn diff www/mod_rpaf2 (4.60 KB, patch)
2016-06-02 16:58 UTC, geoffroy desvernay
no flags Details | Diff
svn diff www/mod_rpaf2 (4.60 KB, patch)
2016-12-10 10:52 UTC, geoffroy desvernay
no flags Details | Diff
svn diff www/mod_rpaf2 (7.73 KB, patch)
2016-12-12 09:21 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2016-05-30 19:29:27 UTC
Created attachment 170839 [details]
svn diff www/mod_rpaf2

Configuration changes, it may need an UPDATING entry ?

https://github.com/gnif/mod_rpaf
Comment 1 geoffroy desvernay 2016-06-02 16:58:29 UTC
Created attachment 170952 [details]
svn diff www/mod_rpaf2

re-rolled
Comment 2 geoffroy desvernay 2016-12-10 10:52:02 UTC
Created attachment 177848 [details]
svn diff www/mod_rpaf2

re-rolled…

ps: this is used here in production since many months, poudriere tested, …

Porposed UPDATING entry:

%%DATE%%:
  AFFECTS: Users of www/mod_rpaf2
  AUTHOR: dgeo@centrale-marseille.fr

  mod_rpaf's configuration has been heavily modified since v0.6.
  Have a llok at https://github.com/gnif/mod_rpaf/tree/v0.8.4 to
  figure out what to change in your config.
Comment 3 geoffroy desvernay 2016-12-10 10:55:38 UTC
little typo here…

%%DATE%%:
  AFFECTS: Users of www/mod_rpaf2
  AUTHOR: dgeo@centrale-marseille.fr

  mod_rpaf's configuration has been heavily modified since v0.6.
  Have a look at https://github.com/gnif/mod_rpaf/tree/v0.8.4 to
  figure out what to change in your config.
Comment 4 geoffroy desvernay 2016-12-12 09:21:51 UTC
Created attachment 177905 [details]
svn diff www/mod_rpaf2

While here:
  * use modules.d/ 
  * add module's doc
  * fix compilation warning (proposed upstream https://github.com/gnif/mod_rpaf/pull/46)

New UPDATING proposal:

%%DATE%%:
  AFFECTS: Users of www/mod_rpaf2
  AUTHOR: dgeo@centrale-marseille.fr

  mod_rpaf's configuration has been heavily modified since v0.6.
  Have a look at etc/apacheXX/modules.d/200_mod_rpaf.conf.sample
  for an up-to-date sample config.
Comment 5 commit-hook freebsd_committer 2017-11-05 12:05:10 UTC
A commit references this bug:

Author: brnrd
Date: Sun Nov  5 12:04:46 UTC 2017
New revision: 453541
URL: https://svnweb.freebsd.org/changeset/ports/453541

Log:
  www/mod_rpaf2: Update to 0.8.4

   - Update to 0.8.4 fixing Apache 2.4 compat [1]
   - Add modules.d config file [1] fixing [2]
   - Add upstream fix for clang warning [1]

  PR:             209869 [1], 222374 [2]
  Submitted by:   Geoffroy Desvernay <dgeo@centrale-marseille.fr> [1]
  Reported by:    mayhem30@gmail.com [2]
  With hat:       apache

Changes:
  head/UPDATING
  head/www/mod_rpaf2/Makefile
  head/www/mod_rpaf2/distinfo
  head/www/mod_rpaf2/files/200_mod_rpaf.conf.sample.in
  head/www/mod_rpaf2/files/patch-mod__rpaf.c
  head/www/mod_rpaf2/files/patch-mod_rpaf-2.0.c
Comment 6 Bernard Spil freebsd_committer 2017-11-05 12:07:22 UTC
Thanks Geoffroy! Committed. Sorry it took so long.

For another time, if you send a patch
 1. Make sure the svn properties are set correctly (200* del svn:keywords, svn add fbsd:nokeywords"
 2. Add the commit message from upstream for the patch

Not guaranteeing that speeds it up, but relieves some of the team's work.